Error with UPX and Mingw-w64

General help: new users, installing the Ecere SDK, using the IDE to compile and run applications.
Post Reply
jonaspm
Posts: 49
Joined: Thu Apr 11, 2013 11:04 pm
Location: Mexico
Contact:

Error with UPX and Mingw-w64

Post by jonaspm »

Hi, Jerome and all the Ecere community!
I downloaded Ecere SDK from Git (latest), i also downloaded latest MinGW-w64 precompiled from this website:
https://code.google.com/p/mingw-w64-dgn/
wich contains gcc4.8.1 and latest mingw64 trunk

downloaded UPX.exe and placed in the C:\mingw64\bin folder then started building Ecere SDK with mingw32-make in cmd.exe BUT got the next errors:
Image

-UPX and expression.ec in line 433 are the problems...
-Running under Windows 7 x64 bits

maybe the use of GCC4.8.1 is part of the problem? i think it is, but what about UPX?

Thanks in advance :)
jerome
Site Admin
Posts: 603
Joined: Sat Jan 16, 2010 11:16 pm

Re: Error with UPX and Mingw-w64

Post by jerome »

Hi Jonas,

- The UPX error is because UPX still does not support compressing 64 bit executables for Windows.
As the error suggests, it's not big deal, it just skipped the compression of the self-extractable extractor. It means that ear (Ecere archiver) will produce bigger self-executables (if you don't use ear to generate self-extractables, you won't care, if you do, they're just bigger, no big issue).

- As for the warning, well it's just a warning. The code for the expression parser generated by bison generates unfortunately gets a warning by the eC compiler. After cloning or updating the git repository however, it's a good idea to do 'mingw32-make fixprecompile' at the top level, as git messes up timestamps and that file and the other 2 parsers should be precompiled already (this will save a lot of time for the compilation as well), and you should not be seeing that warning.

Also please note that although we do our best to keep it working, the git repository might be broken at times. There seem to be a problem right now with this whole thing of precompiled files which we'll look at right away, which might be why you were seeing this warning.

Just to make it clear: regardless of these 2 messages, the SDK was built successfully and you can proceed to do a 'mingw32-make install' (Need to right click cmd.exe/Run as Administrator and have all IDE closed, unless you change the DESTDIR)

Regards,

Jerome
jonaspm
Posts: 49
Joined: Thu Apr 11, 2013 11:04 pm
Location: Mexico
Contact:

Re: Error with UPX and Mingw-w64

Post by jonaspm »

Thank yoo so much for answering Jerome, its good to know the reason of both skip and warning, now i know what to do :D
jonaspm
Posts: 49
Joined: Thu Apr 11, 2013 11:04 pm
Location: Mexico
Contact:

Re: Error with UPX and Mingw-w64

Post by jonaspm »

after doing mingw32-make fixprecompile
now i got the next warning:

Code: Select all

C:\Users\JonasPM\Documents\ECERE\sdk-master\compiler\libec\src\type.ec:4855:12:
warning: incompatible expression yystate (int); expected short
jerome
Site Admin
Posts: 603
Joined: Sat Jan 16, 2010 11:16 pm

Re: Error with UPX and Mingw-w64

Post by jerome »

Hi Jonas,

You would be getting all 3 warnings, and they take a long time to compile.
It's all because this precompile feature is broken right now.

But just let it build, and don't mind the warning. It will work fine.

Regards,

Jerome
jonaspm
Posts: 49
Joined: Thu Apr 11, 2013 11:04 pm
Location: Mexico
Contact:

Re: Error with UPX and Mingw-w64

Post by jonaspm »

jerome wrote:Hi Jonas,
You would be getting all 3 warnings, and they take a long time to compile.
It's all because this precompile feature is broken right now.

But just let it build, and don't mind the warning. It will work fine.

Regards,

Jerome
Thanks Jerome, tried again and now it built without warnings :) thanks for your valuable help!
Post Reply